SASL_AUXPROP_GETCTX(3)

NAME
sasl_auxprop_getctx - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>

int sasl_auxprop_getctx(sasl_conn_t *conn)

DESCRIPTION

    int sasl_auxprop_getctx(sasl_conn_t *conn)
        Fetches an auxiliary property context for the connection on which the functions described in sasl_auxprop(3) <#std-saslman-sasl_auxprop-3> can operate.

        Parameters

            •   conn – pointer to the sasl_conn_t for which the request is being made.

        Returns
            A pointer to the context on success. Returns NULL on failure.

    type sasl_conn_t
        Context for a SASL connection negotiation

CONFORMING TO

RFC 4422 <https://datatracker.ietf.org/doc/html/rfc4422.html>

SEE ALSO

sasl(3) <#std-saslman-sasl-3>, sasl_auxprop(3) <#std-saslman-sasl_auxprop-3>, sasl_auxprop_request(3) <#std-saslman-sasl_auxprop_request-3>

Author
The Cyrus Team

Copyright
1993-2016, The Cyrus Team